
TYPO3.Setup - Bug # 42202

Status: Closed Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-10-20 Assigned To: Karsten Dambekalns
Updated: 2015-03-16 Due date:
Subject: Setup shows PHP warning if file permissions are not ok
Description

When the file permissions on for example the configuration folder are not correct a PHP warning is shown:
Warning: file_put_contents(/Users/rens/Documents/__Sites/flow3/neos/Configuration/PackageStates.php) [function.file-put-contents]:
failed to open stream: Permission denied
in/Users/rens/Documents/__Sites/flow3/neos/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Package/PackageManager.php on line 740
p on line 740

This is shown on top of the friendly error message and should probably be hidden.

History
#1 - 2012-12-17 21:29 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2012-12-17 21:54 - Karsten Dambekalns

Seems the only way to silence this is to use the shut-up operator in sortAndSavePackageStates inside PackageManager. Any exception or error code
thrown at that point are not catchable by a (setup) controller.

#3 - 2012-12-17 22:00 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

That particular warning is gone with https://review.typo3.org/17206 - but does that cover the issue fully?

#4 - 2015-03-16 17:42 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Closing due to missing feedback. Please open a new ticket on jira.typo3.org if the problem remains
